Innehåll

# FindObject Function

Gör att du kan anropa ett objekt som en strängparameter vid runtime genom att använda objektnamnet.

T.ex. det här kommandot:

    MyObj.Prop1.Command = 5

motsvarar kommandoblocket:

    Dim ObjVar as Object
    Dim ObjProp as Object
    ObjName As String = "MyObj"
    ObjVar = FindObject( ObjName As String )
    PropName As String = "Prop1"
    ObjProp = FindPropertyObject( ObjVar, PropName As String )
    ObjProp.Command = 5

Detta gör att namn kan skapas dymaniskt vid runtime. Till exempel:

"TextEdit1" to "TextEdit5" in a loop to create five control names.

Se även: FindPropertyObject

## Syntax:

    FindObject( ObjName As String )

## Parametrar:

ObjName: Sträng som anger namnet på det objekt som du vill anropa vid runtime.

### Felkoder:

5 Felaktigt proceduranrop

12 Odefinierad variabel

Stötta oss!